<?php
	/**
	 * @package valueauth
	 */
	/*
	Plugin Name: Value-Auth Twofactor Login
	Plugin URI: https://www.value-domain.com/value-auth/
	Description: Easy Twofactor Login
	Version: 1.0.0
	Author: Value-Domain
	Author URI: https://www.value-domain.com
	License: GPLv2
	Text Domain:
	*/

	/*
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

	Copyright 2005-2015 Automattic, Inc.
	*/


	require_once dirname(__FILE__) .DIRECTORY_SEPARATOR. 'lib/TwoFactor.php';
	require_once dirname(__FILE__) .DIRECTORY_SEPARATOR. 'lib/ValueAuth.php';
	$tf = new Twofactor();
	$vauth_page = isset($_REQUEST['vauth_page']) ? $_REQUEST['vauth_page']: "";
	switch($vauth_page){
		case 'vauth_twofactor_mail':
			$tf->setTwofactor('mail');
			break;
		case 'vauth_twofactor_sms':
			$tf->setTwofactor('sms');
			break;
		case 'vauth_twofactor_mail_delete':
			$tf->deleteTwofactor('mail');
			break;
		case 'vauth_twofactor_sms_delete':
			$tf->deleteTwofactor('sms');
			break;
		case 'vauth_twofactor_setting':
			$tf->setTwofactor('setting');
			break;
		case 'vauth_twofactor_use':
			$tf->setTwofactor('use');
			break;
		case 'vauth_twofactor_resend':
			$tf->resendTwofactorHook();
			break;
//		case 'vauth_twofactor_send':
//			$tf->sendTwofactorHook();
//			break;
		case 'vauth_twofactor_confirm':
			$tf->confirmTwofactorHook();
			break;
		default:
			break;
	}


	if($vauth_page !== "vauth_twofactor_resend"){
		$tf->checkTwofactorHook();
	}

?>